<ng-container *ngIf="tracks">
  <div class="board row m-0 p-0" *ngIf="tracks" cdkDropList [cdkDropListData]="tracks"
    (cdkDropListDropped)="onTrackDrop($event)" cdkDropListOrientation="horizontal">
    <!-- Start of Track -->
    <div class="card-list col-sm-4" *ngFor="let track of tracks">

      <h2 cdkDragHandle class="track-title" [ngStyle]="{'background-color': track.bgcolor, 'color': track.color}">
        {{track.title}}</h2>

      <div class="card-list-content" cdkDropList [id]="track.id" [cdkDropListData]="track.tasks"
        [cdkDropListConnectedTo]="trackIds" (cdkDropListDropped)="onTalkDrop($event)">

        <!-- Start of Task Card -->
        <div *ngFor="let task of track?.tasks" cdkDrag>
          <div class="task-card">
            <div class="task-header">
              <span>
                <i class="fa fa-calendar" aria-hidden="true"></i>
                Due 05/03/2019
              </span>

              <!-- <span class="plus-color">
            <i class="fa fa-plus" aria-hidden="true"></i>
          </span> -->
            </div>

            <div class="task-body">
              {{task.title}}
              <div>
                {{task.description}}
              </div>
            </div>


            <div class="task-footer">
              <span>
                <i class="fa fa-comment" aria-hidden="true"></i>
                {{task.comment_count}}
              </span>
              <span>
                <i class="fa fa-list" aria-hidden="true"></i>
                {{task.list}}
              </span>
              <span>
                <button *ngIf="task.track_id === 1" class="btn btn-sm btn-client">Client</button>
                <button *ngIf="task.track_id === 2" class="btn btn-sm btn-prospect">Prospect</button>
                <button *ngIf="task.track_id === 3" class="btn btn-sm btn-applicant">Applicant</button>
                <button *ngIf="task.track_id === 4" class="btn btn-sm btn-job-order">Job Order</button>
              </span>
            </div>
          </div>
        </div>
        <!-- End of Task Card -->
      </div>

    </div>
    <!-- End of Track -->
  </div>
</ng-container>